Subject: [PATCH v2 0/6] serial: imx: handshaking fixes and improvments

From: [email-masked] (Uwe Kleine-König)
Date: Tue, 12 Apr 2016 19:30:32 +0200

On Tue, Apr 12, 2016 at 02:17:59PM +0200, Petr ?tetiar wrote:
> Uwe Kleine-K?nig <[email-masked]> [2016-04-12 12:58:56]:
> 
> > ok, so UFCR_DCEDTE is set and UCR3_DSR controls the DTR output as
> > intended. What is connected to the respective pin?
> > MX6QDL_PAD_EIM_D25__UART1_DSR_B I think is the one.
> 
> It's routed out to Apalis SoM pin 120, which is then connected via 22R
> resistor and through SN65C3243DBR RS-232 line driver to header which I use as
> debug/serial console.

Then I guess the problem is that the rs232-partner asserts the imx6's
DSR in reply to the imx6 asserting DTR?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-K?nig            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |